This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 72858 - logging in with smaller resolution moves right-positioned icons permanently
logging in with smaller resolution moves right-positioned icons permanently
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-panel (Show other bugs)
null
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-28 10:47 EDT by Alexandre Oliva
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-28 11:54:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2002-08-28 10:47:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
I have some icons positioned on the right edge of the gnome panel.  My desktop
operates at a higher resolution than the laptop.  The home directories are not
shared, but they are synchronized, and I never log in on both of them at the
same time.

Whenever I log into the laptop, the icons that used to be next to the right edge
of the panel in the desktop are moved such that they don't end up off the
screen, and they remain next to the right edge.

However, when I log back in the desktop, they're not moved back, and I have to
move them by hand.  I.e., their offset from the left edge is modified
permanently, overriding my choice to have them in the bottom right corner of the
screen when I go back to a higher resolution.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Log in and place an icon/applet/launcher/whatever in the bottom-right corner
of the screen, in the panel
2.Log out, and change the resolution to a smaller one (say, from 1920x1440 to
1600x1200)
3.Log in, and notice that the icons are still in the bottom-right corner, and
realize that the distance from the left edge of the panel, in pixels, is now smaller
4.Log out and restore the original resolution
5.Log in again

Actual Results:  The icons are no longer in the bottom-right corner.

Expected Results:  It would be nice to not have to reposition them.

Additional info:
Comment 1 Havoc Pennington 2002-08-28 11:29:02 EDT
I think the fix here would probably add more code complexity than it's worth,
but can forward upstream to see if anyone's interested. We probably won't fix this 
on the Red Hat level.
Comment 2 Alexandre Oliva 2002-08-28 11:54:42 EDT
Sounds good to me (forwarding upstream).  Would you mind doing it for me?  I
don't have an account over there.  Thanks,
Comment 3 Havoc Pennington 2002-09-25 17:27:38 EDT
Moving the bug here: http://bugzilla.gnome.org/show_bug.cgi?id=94215

Note You need to log in before you can comment on or make changes to this bug.